Skip to main content
POST
Probe an AWS role Barndoor is meant to assume

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Body

application/json
external_id
string
required
iam_role_arn
string
required
region
string
required

Response

The role was assumed successfully

Result of a successful aws_role credential probe. A failed probe is an error response, not ok: false.

ok
boolean
required

Always true — the role was assumed successfully.